<script>
    import {radialArea} from 'd3-shape';
    import {scaleLinear, scaleRadial} from 'd3-scale';
    import { extent } from 'd3-array';

    export let data = null;
    export let city;

    data = data.filter(d => d.city == city);

    const scaleX = scaleLinear().domain(extent(data.map(d => d.day_of_year))).range([0, 2 * Math.PI]);
    const scaleYheating = scaleRadial().domain(extent(data.map(d => d.heating))).range([0,60]);
    const scaleYcooling = scaleRadial().domain(extent(data.map(d => d.cooling))).range([0,60]);
    const plotHeating = radialArea()
                .angle(d => scaleX(d.day_of_year))
                .innerRadius(0)
                .outerRadius(d => scaleYheating(d.heating));
    const plotCooling = radialArea()
                .angle(d => scaleX(d.day_of_year))
                .innerRadius(0)
                .outerRadius(d => scaleYcooling(d.cooling));
</script>


<path class='heating' d={plotHeating(data)} />
<path class='cooling' d={plotCooling(data)} />


<style>
    .heating{
        fill: red;
        opacity: 0.5;
    }
    .cooling{
        fill:steelblue;
        opacity: 0.5;
    }
</style>